import ginian.javaEditorPane.JavaEditorPane;
import javax.swing.text.JTextComponent;
import javax.swing.JFileChooser;

import java.awt.*;
import java.awt.event.*;

public class JavaEditor extends TextEditor {

protected void setupFrame() {
  setTitle("Java Editor");
  setSize(300,300);
}

protected JTextComponent createEditor() {
  return new JavaEditorPane();
}

protected JFileChooser createFileChooser() {
  JFileChooser chooser = super.createFileChooser();

  ExampleFileFilter filter = new ExampleFileFilter();
  filter.addExtension("java");
  filter.addExtension("jav");
  filter.setDescription("Java Source");
  chooser.setAcceptAllFileFilterUsed(false);
  chooser.setFileFilter(filter);
 
  return chooser;
}

public static void main(String argv[]) {
  JavaEditor j = new JavaEditor();
  j.setVisible(true);
}
}